GLSA-200701-12 : Mono: Information disclosure

Medium Nessus Plugin ID 24210


The remote Gentoo host is missing one or more security-related patches.


The remote host is affected by the vulnerability described in GLSA-200701-12 (Mono: Information disclosure)

Jose Ramon Palanco has discovered that the System.Web class in the XSP for the ASP.NET server 1.1 through 2.0 in Mono does not properly validate or sanitize local pathnames which could allow server-side file content disclosure.
Impact :

An attacker could append a space character to a URI and obtain unauthorized access to the source code of server-side files. An attacker could also read credentials by requesting Web.Config%20 from a Mono server.
Workaround :

There is no known workaround at this time.


All Mono users should upgrade to the latest version:
# emerge --sync # emerge --ask --oneshot --verbose '>=dev-lang/mono-'

See Also

Plugin Details

Severity: Medium

ID: 24210

File Name: gentoo_GLSA-200701-12.nasl

Version: $Revision: 1.13 $

Type: local

Published: 2007/01/17

Modified: 2015/04/13

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 5

Temporal Score: 4.3

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:N/A:N

Temporal Vector: CVSS2#E:ND/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:gentoo:linux:mono, cpe:/o:gentoo:linux

Required KB Items: Host/local_checks_enabled, Host/Gentoo/release, Host/Gentoo/qpkg-list

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2007/01/16

Vulnerability Publication Date: 2006/12/20

Reference Information

CVE: CVE-2006-6104

BID: 21687

OSVDB: 32391, 32392

GLSA: 200701-12